## org.opengis.coverage.grid
Interface GridValueCell

All Superinterfaces:
  ValueObject

    @UML(identifier="CV_GridValueCell",
         specification=ISO_19123)
    public interface GridValueCell

extends ValueObject

Basis for interpolating within a continuous quadrilateral grid coverage. A `GridValueCell` is a collection of grid point value pairs with a geometric structure defined by a grid cell.

Method Summary
`Set<GridPointValuePair>` `getControlValues()` Returns the set of grid point-value pairs at the corners of this `GridValueCell`.

Methods inherited from interface ValueObject
`getGeometry, getInterpolationParameters, interpolate`

Method Detail

### getControlValues

    @UML(identifier="controlValue",
         obligation=MANDATORY,
         specification=ISO_19123)
    Set<GridPointValuePair> getControlValues()

  Returns the set of grid point-value pairs at the corners of this `GridValueCell`.

  Specified by:
    `getControlValues` in interface `ValueObject`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.